function Bmesh=GetBMesh(Nodes,Faces,FacesIndex,BoundaryIndex)
%output

%input
%Nodes-coordinates of all vertices 
%Faces-all faces connectivity
%FacesIndex-all faces index
%BoundaryIndex-target faces index

[Bmesh.OldFaces,Bmesh.FacesIndex]=GetBFaces(Faces,FacesIndex,BoundaryIndex);
[Bmesh.NodesMapping,Bmesh.NewFaces]=FacesRecoding(Bmesh.OldFaces);
Bmesh.Nodes=Nodes(Bmesh.NodesMapping,:);

end